# frozen_string_literal: true

require_relative "lib/weighflow_cli/version"

Gem::Specification.new do |spec|
  spec.name          = "weighflow_cli"
  spec.version       = WeighflowCli::VERSION
  spec.authors       = ["Bruce Martin"]
  spec.email         = ["bmartin@heiskell.com"]

  spec.summary       = "Weighflow CLI"
  spec.description   = "Weighflow Interface"
  spec.homepage      = "https://bitbucket.org/jdhco/weighflow_cli/src/master/"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  #spec.metadata["allowed_push_host"] = "testing"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://bitbucket.org/jdhco/weighflow_cli/src/master/"
 # spec.metadata["changelog_uri"] = "http://localhost"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  # Uncomment to register a new dependency of your gem
  # spec.add_dependency "example-gem", "~> 1.0"
  spec.add_dependency "thor", "~>1.1.0"
  spec.add_dependency "httparty"
  # For more information and examples about making a new gem, checkout our
  # guide at: https://bundler.io/guides/creating_gem.html
end
